# Checkout Shopping Cart

{% tabs %}
{% tab title="Dart" %}

```dart
import 'package:antsomisdk/antsomi.dart'; // Contains Antsomi SDK APIs
import 'package:antsomisdk/cdp_event.dart'; // Contains the CDPEvent class

final event = CDPEvent(en: 'checkout_product');
List<Map<String, dynamic>> items = [];

// Build event data
// Replace with your object
final productDetail = value['product'] as Product;
  
items.add({
  'type': 'product',
  'id': productDetail.sku ?? '',
  'name': productDetail.name ?? '',
  'sku': productDetail.sku,
  'price': double.tryParse(productDetail.salePrice ?? ''),
  'original_price': double.tryParse(productDetail.price ?? ''),
  'quantity': value['quantity'] as int,
});

// Include the Multiple-Objects (items) in the event data
event.items = items;

// Set the Customer Objects to the event data
event.setCustomerProps = {
  'customers': {    
    'name': user.name ?? '',
    'customer_id': MD5Hash().generateMd5(user.email ?? ''),
  }
};

// Initialize AntsomiSDK object
antsomiSdk = Antsomi();

// Send the event data to CDP
antsomiSdk.track(event: event);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antsomi.com/developers-guide/hybrid-apps/flutter/tracking-events/sample-e-commerce-events/checkout-shopping-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
